Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface ExternalDependency

All Superinterfaces:
  Dependency, ModuleDependency

All Known Subinterfaces:
  ClientModule, ExternalModuleDependency

    public interface ExternalDependency

extends ModuleDependency

An `ExternalDependency` is a `Dependency` on a source outside the current project hierarchy.

Field Summary

Fields inherited from interface org.gradle.api.artifacts.Dependency
`ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

Method Summary
`ExternalDependency` | `copy()` Creates and returns a new dependency with the property values of this one.
`boolean` | `isForce()` Returns whether or not the version of this dependency should be enforced in the case of version conflicts.
`ExternalDependency` | `setForce(boolean force)` Sets whether or not the version of this dependency should be enforced in the case of version conflicts.

Methods inherited from interface org.gradle.api.artifacts.ModuleDependency
`addArtifact, exclude, getArtifacts, getConfiguration, getExcludeRules, isTransitive, setTransitive`

Methods inherited from interface org.gradle.api.artifacts.Dependency
`contentEquals, getGroup, getName, getVersion`

Method Detail

### isForce

    boolean isForce()

  Returns whether or not the version of this dependency should be enforced in the case of version conflicts.

### setForce

    ExternalDependency setForce(boolean force)

  Sets whether or not the version of this dependency should be enforced in the case of version conflicts.

  Parameters:
    `force` - Whether to force this version or not.
  Returns:
    this

### copy

    ExternalDependency copy()

  Creates and returns a new dependency with the property values of this one.

  Specified by:
    `copy` in interface `Dependency`
  Specified by:
    `copy` in interface `ModuleDependency`
  Returns:
    The copy. Never returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD